Bug 240153 - x11/libinput: Update to 1.15.0
Summary: x11/libinput: Update to 1.15.0
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 mailing list
URL: https://gitlab.freedesktop.org/libinp...
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2019-08-27 19:57 UTC by Greg V
Modified: 2020-02-11 19:11 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)
koobs: merge-quarterly?


Attachments
libinput.patch (6.04 KB, patch)
2019-08-27 19:57 UTC, Greg V
no flags Details | Diff
v2 (4.48 KB, patch)
2020-01-04 22:25 UTC, Jan Beich
no flags Details | Diff
v3 (5.14 KB, patch)
2020-02-10 20:45 UTC, Niclas Zeising
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2019-08-27 19:57:45 UTC
Created attachment 206960 [details]
libinput.patch

Now with improved touchpad gesture handling. Pretty minor upgrade otherwise.
Comment 1 Greg V 2019-08-27 20:00:36 UTC
(why was gnu89 a thing btw?)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-28 03:06:21 UTC
Bugfix release, MFH
Comment 3 Jan Beich freebsd_committer 2019-08-28 07:21:28 UTC
(In reply to Kubilay Kocak from comment #2)
Current version is 1.12.6. However, libinput mainly affects Wayland, and ABI is compatible.
https://gitlab.freedesktop.org/libinput/libinput/compare/1.12.6...1.14.1
https://abi-laboratory.pro/tracker/timeline/libinput/
Comment 4 Jan Beich freebsd_committer 2019-08-28 15:36:14 UTC
Builds fine on
- 11.2 aarch64/amd64/armv6/i386
- 11.3 aarch64/amd64/i386
- 12.0 aarch64/amd64/armv6/armv7/i386
- 13.0 aarch64/amd64/armv6/i386
- gcc42 amd64
- inverted options: DEBUG_GUI=ON LIBWACOM=OFF

keyboard/mouse works fine on
- x11-drivers/xf86-input-libinput + bug 222609
- x11-servers/xwayland
- x11-wm/sway
Comment 5 Jan Beich freebsd_committer 2020-01-04 22:25:27 UTC
Created attachment 210455 [details]
v2

https://lists.freedesktop.org/archives/wayland-devel/2020-January/041115.html
Build tested on 11.3/12.0/12.1/13.0 aarch64/amd64/armv6/armv7/i386, runtime via x11-wm/sway.
Comment 6 Emmanuel Vadot freebsd_committer 2020-02-10 17:29:01 UTC
Build and works ok for me.
Reviewed-by: manu
Comment 7 Niclas Zeising freebsd_committer 2020-02-10 20:45:55 UTC
Created attachment 211544 [details]
v3

Here's a (WIP) patch to update libinput to 1.15.1, which is the latest version.  It's currently running in poudriere, but it's taking longer than anticipated so I'll put it here, so that more people can test.
Comment 8 Jan Beich freebsd_committer 2020-02-10 21:06:42 UTC
Comment on attachment 211544 [details]
v3

> --- x11/libinput/files/patch-src_evdev.c	(revision 525727)
> +++ x11/libinput/files/patch-src_evdev.c	(working copy)
> @@ -1,14 +1,6 @@
> -When a process without full /dev/input access enumerates devices via libudev-devd,
> -the udev_device structs do not get udev properties that mark them as inputs, keyboards, etc,
> -and get rejected as not being input devices.
> -
> -libinput reopens devices just to check path equality.
> -The udev_devices from reopening do have the right properties,
> -so we just use them instead of the original (enumerated) ones.
> -
> ---- src/evdev.c.orig	2018-12-18 05:06:18 UTC
> +--- src/evdev.c.orig	2020-02-03 05:25:43 UTC
>  +++ src/evdev.c

Why patch comment was removed on cosmetic rebase?
Comment 9 Jan Beich freebsd_committer 2020-02-10 21:26:16 UTC
(In reply to Niclas Zeising from comment #7)
> taking longer than anticipated

Are you testing consumers? Not necessary as ABI is stable according to https://abi-laboratory.pro/tracker/timeline/libinput/

If you mean libinput itself 1.15.1 passsed here on 11.3 aarch64/amd64/armv6/i386 12.0 amd64/i386, 12.1 aarch64/amd64/armv6/armv7, 13.0 amd64/i386 in ~5 minutes.

Anyway, now dogfooding libinput 1.15.1 via Sway on drm-devel-kmod without issues.
Comment 10 Emmanuel Vadot freebsd_committer 2020-02-10 22:10:15 UTC
Works for my too with wayland or xorg.
Comment 11 Michael Gmelin freebsd_committer 2020-02-11 11:33:15 UTC
(In reply to Niclas Zeising from comment #7)

In case it helps, `poudriere testport x11/libinput` showed no problems here on (12.1|11.3)-RELEASE (amd64|i386).
Comment 12 commit-hook freebsd_committer 2020-02-11 19:02:32 UTC
A commit references this bug:

Author: zeising
Date: Tue Feb 11 19:01:54 UTC 2020
New revision: 525886
URL: https://svnweb.freebsd.org/changeset/ports/525886

Log:
  x11/libinput: Update to 1.15.1

  update x11/libinput to 1.15.1

  PR:		240153 (based on)
  Reported by:	Greg V
  Tested by:	jbeich, manu, grembo

Changes:
  head/x11/libinput/Makefile
  head/x11/libinput/distinfo
  head/x11/libinput/files/patch-meson.build
  head/x11/libinput/pkg-plist
Comment 13 Niclas Zeising freebsd_committer 2020-02-11 19:11:27 UTC
Committed.  Leave this open for a day or two in case of fallout.